package com.mints.goodmoney.manager

import android.app.Application
import com.mints.goodmoney.BuildConfig
import com.mints.goodmoney.MintsApplication
import com.mints.library.utils.CommonUtils
import com.tz.sdk.core.engine.ADEngine
import com.tz.sdk.core.engine.ADEngineConfig
import com.tz.sdk.core.engine.IADEngineState

/**
 * 描述：天卓激励视频
 */
object TzManager {

    /**
     * 初始化
     */
    fun initTz(application: Application) {
        val td_channel_id = CommonUtils.getAppMetaData(MintsApplication.getContext(), "CHANNEL_NAME")
        ADEngine.getInstance(application)
                .start(ADEngineConfig.Builder(application)
                        .appKey("547ffff6446c5a8acd4175fb7a71a0d1")
                        .appSecret("1c00e59f2257bdfdd4ad9363b41621b5")
                        .appChannel(td_channel_id)
                        .forTest(BuildConfig.DEBUG)
                        .build(),
                        object : IADEngineState {
                            override fun onIdle() {}
                            override fun onStarting() {}
                            override fun onStarted() {}
                            override fun onFailed(p0: Int, p1: String?) {}
                        })
    }

}