package com.mints.goodmoney.mvp.model

import java.io.Serializable

/**
 * 酷音乐视频列表
 */
data class KylVedioBean(
    val `data`: List<Data>,
    val desc: String,
    val more: String,
    val px: String,
    val retcode: String,
    val retdesc: String,
    val total: Int
): Serializable

data class Data(
    val charge: String,
    val duration: String,
    val height: String,
    val id: String,
    val labels: List<String>,
    val nm: String,
    val price: String,
    val pvurl: String,
    val seton: String,
    val size: String,
    val song: Song,
    val tp: String,
    val url: String,
    val videos: List<Video>,
    val width: String
): Serializable

data class Song(
    val name: String,
    val singer: String
): Serializable

data class Video(
    val height: String,
    val size: String,
    val url: String,
    val width: String
): Serializable